--- /home/pcvs.experimental2/ports/Mk/bsd.options.desc.mk	1969-12-31 18:00:00.000000000 -0600
+++ ./bsd.options.desc.mk	2011-08-21 14:11:06.000000000 -0500
@@ -0,0 +1,4 @@
+DOCS_DESC?=		Build and install the port documentation
+NLS_DESC?=		Build and install the port with localisation
diff -ruN /home/pcvs.experimental2/ports/Mk/bsd.options.mk ./bsd.options.mk
--- /home/pcvs.experimental2/ports/Mk/bsd.options.mk	1969-12-31 18:00:00.000000000 -0600
+++ ./bsd.options.mk	2011-08-21 14:11:06.000000000 -0500
@@ -0,0 +1,149 @@
+# Global options
+
+##
+# Set all the options available for the ports, beginning with the
+# global ones and ending with the ones decided by the maintainer.
+# Options global to the entire ports tree
+
+OPTIONSFILE?=	${PORT_DBDIR}/${UNIQUENAME}/options
+
+#ALL_OPTIONS=	DOCS
+#ALL_OPTIONS+=	NLS
+
+# Set the default values for the global options, as defined by portmgr
+PORT_OPTIONS+=	NLS
+PORT_OPTIONS+=	DOCS
+
+# Append options set by the port Makefile
+.for opt in ${OPTIONS_SELECT}
+ALL_OPTIONS+=	${opt}
+.endfor
+ALL_OPTIONS:=	${ALL_OPTIONS:u}
+
+# Remove global options the port maintainer doesn't want
+.for opt in ${OPTIONS_EXCLUDE}
+ALL_OPTIONS:=	${ALL_OPTIONS:N${opt}}
+.endfor
+
+.if defined(OPTIONS)
+.undef optname
+.for O in ${OPTIONS}
+opt:=${O}
+.if !defined(optname)
+optname:=	${O}
+ALL_OPTIONS+=	${O}
+.elif !defined(optdesc)
+optdesc:=	${opt}
+${optname}_DESC:=	"${opt}"
+.else
+.if ${opt:L} == on
+PORT_OPTIONS+=	${optname}
+PORT_OPTIONS:=	${PORT_OPTIONS:u}
+.elif ${opt:L} == off
+.if defined(PORT_OPTIONS) && defined(optname)
+NO_OPTIONS+=	${optname}
+NO_OPTIONS:=	${NO_OPTIONS:u}
+.endif
+.endif
+.undef optname
+.undef optdesc
+.endif
+.endfor
+.if defined(NO_OPTIONS)
+.for O in ${NO_OPTIONS}
+PORT_OPTIONS:=	${PORT_OPTIONS:N${O}}
+.endfor
+.endif
+.undef NO_OPTIONS
+.endif
+
+## Now create the list of activated options
+
+.if defined(OPTIONS_OVERRIDE)
+# Special case $OPTIONS_OVERRIDE; if it is defined forget about anything done before
+PORT_OPTIONS:=	${OPTIONS_OVERRIDE}
+
+.else
+
+# Set default options defined by the port maintainer
+#
+.for opt in ${DEFAULT_OPTS}
+PORT_OPTIONS+=	${opt}
+.endfor
+PORT_OPTIONS:=${PORT_OPTIONS:u}
+
+## Set system-wide defined options (set by user in make.conf)
+.for opt in ${OPTIONS_SET}
+PORT_OPTIONS+=	${opt}
+.endfor
+PORT_OPTIONS:=${PORT_OPTIONS:u}
+
+## Remove the options excluded system-wide (set by user in make.conf)
+.for opt in ${OPTIONS_UNSET}
+PORT_OPTIONS:=	${PORT_OPTIONS:N${opt}}
+.endfor
+
+# Set the options specified per-port (set by user in make.conf)
+.for opt in ${${UNIQUENAME:U}_SET}
+PORT_OPTIONS+=	${opt}
+.endfor
+PORT_OPTIONS:=${PORT_OPTIONS:u}
+
+# Unset the options excluded per-port (set by user in make.conf)
+.for opt in ${${UNIQUENAME:U}_UNSET}
+PORT_OPTIONS:=	${PORT_OPTIONS:N${opt}}
+.endfor
+
+# Compatibility: convert old format to new one
+.if exists(${OPTIONSFILE}) && !make(rmconfig)
+.include "${OPTIONSFILE}"
+.endif
+.if exists(${OPTIONSFILE}.local)
+.include "${OPTIONSFILE}.local"
+.endif
+
+.if defined(OPTIONS)
+.undef optname
+.for O in ${OPTIONS:C/".*"//g}
+.if defined(WITH_${O})
+PORT_OPTIONS+=	${O}
+PORT_OPTIONS:=	${PORT_OPTIONS:u}
+.endif
+.if defined(WITHOUT_${O})
+PORT_OPTIONS:=	${PORT_OPTIONS:N${O}}
+.endif
+.endfor
+.endif
+
+# Finish by using the options set by the port config dialog, if any
+.for opt in ${OPTIONS_FILE_SET}
+PORT_OPTIONS+=	${opt}
+.endfor
+PORT_OPTIONS:=	${PORT_OPTIONS:u}
+
+.for opt in ${OPTIONS_FILE_UNSET}
+PORT_OPTIONS:=	${PORT_OPTIONS:N${opt}}
+.endfor
+
+.undef opt
+.endif
+
+## Now some compatibility
+.if empty(PORT_OPTIONS:MDOCS)
+NOPORTDOCS=	yes
+.endif
+
+.if empty(PORT_OPTIONS:MEXAMPLES)
+NOPORTEXAMPLES=	yes
+.endif
+
+.if empty(PORT_OPTIONS:MDATA)
+NOPORTDATA=	yes
+.endif
+
+.if empty(PORT_OPTIONS:MNLS)
+WITHOUT_NLS=	yes
+.endif
+
